import { jsx } from 'react/jsx-runtime';
import { MultiSelectOption } from './MultiSelect.mjs';
import { useSelectContext } from './Select.mjs';
import { SingleSelectOption } from './SingleSelect.mjs';

/**
 * @preserve
 * @deprecated You should import the specific type of option you want to render,
 * e.g. `import { MultiSelectOption } from '@strapi/design-system';`
 */
const Option = ({ multi, ...restProps }) => {
    const context = useSelectContext();
    return multi || context.multi ? jsx(MultiSelectOption, { ...restProps }) : jsx(SingleSelectOption, { ...restProps });
};

export { Option };
